zenilib: DetailedTiming Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
DetailedTiming Struct Reference

`#include <edid.h>`

## Public Attributes

union {
struct {
int bipolar
int serrations
int sync_on_green
} analog
struct {
int composite
int negative_hsync
int negative_vsync
int serrations
} digital
}; |
int | digital_sync
int | h_addr
int | h_blank
int | h_front_porch
int | h_sync
int | height_mm
int | interlaced
int | pixel_clock
int | right_border
StereoType | stereo
int | top_border
int | v_addr
int | v_blank
int | v_front_porch
int | v_sync
int | width_mm

## Detailed Description

Definition at line 42 of file edid.h.

## Member Data Documentation

union { ... }

struct { ... } DetailedTiming::analog

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::bipolar

Definition at line 65 of file edid.h.

int DetailedTiming::composite

Definition at line 72 of file edid.h.

struct { ... } DetailedTiming::digital

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::digital_sync

Definition at line 60 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::h_addr

Definition at line 45 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::h_blank

Definition at line 46 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::h_front_porch

Definition at line 48 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::h_sync

Definition at line 47 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::height_mm

Definition at line 54 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::interlaced

Definition at line 57 of file edid.h.

Referenced by decode_detailed_timing().

int DetailedTiming::negative_hsync

Definition at line 75 of file edid.h.

int DetailedTiming::negative_vsync

Definition at line 74 of file edid.h.

int DetailedTiming::pixel_clock

Definition at line 44 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::right_border

Definition at line 55 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::serrations

Definition at line 66 of file edid.h.

StereoType DetailedTiming::stereo

Definition at line 58 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::sync_on_green

Definition at line 67 of file edid.h.

int DetailedTiming::top_border

Definition at line 56 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::v_addr

Definition at line 49 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::v_blank

Definition at line 50 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::v_front_porch

Definition at line 52 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::v_sync

Definition at line 51 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

int DetailedTiming::width_mm

Definition at line 53 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/x11/edid.h